<?php
namespace TYPO3\Election\Controller;

/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/**
 * Class FeDashboardController
 */
class FeDashboardController extends ActionController
{
    const CONTROLLER_NAME = 'FeDashboard';
    const ACTION_INDEX = 'index';

    /**
     * @var \TYPO3\Election\Domain\Repository\ElectionRepository
     * @inject
     */
    protected $electionRepository = null;

    /**
     *
     */
    public function indexAction()
    {
        $this->view->assign('elections', $this->electionRepository->findAll());
    }

    /**
     * @return string
     */
    public static function getActionsForPluginConfiguration()
    {
        return implode(',', [self::ACTION_INDEX]);
    }
}
