<?php
namespace TYPO3\Election\Domain\Model\Dto;

/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

use TYPO3\Election\Domain\Model\AbstractEntity;

/**
 * Class ElectionVoting
 */
class ElectionVoting extends AbstractEntity
{
    /**
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Election\Domain\Model\Nominee>
     */
    protected $nominees;

    /**
     * @var \TYPO3\Election\Domain\Model\ElectionInvitation
     */
    protected $electionInvitation;

    /**
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage
     */
    public function getNominees()
    {
        return $this->nominees;
    }

    /**
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage $nominees
     */
    public function setNominees($nominees)
    {
        $this->nominees = $nominees;
    }

    /**
     * @return \TYPO3\Election\Domain\Model\ElectionInvitation
     */
    public function getElectionInvitation()
    {
        return $this->electionInvitation;
    }

    /**
     * @param \TYPO3\Election\Domain\Model\ElectionInvitation $electionInvitation
     */
    public function setElectionInvitation($electionInvitation)
    {
        $this->electionInvitation = $electionInvitation;
    }
}
