<?php
namespace TYPO3\Election\Domain\Model\Dto;

    /*
     * This file is part of the TYPO3 CMS project.
     *
     * It is free software; you can redistribute it and/or modify it under
     * the terms of the GNU General Public License, either version 2
     * of the License, or any later version.
     *
     * For the full copyright and license information, please read the
     * LICENSE.txt file that was distributed with this source code.
     *
     * The TYPO3 project - inspiring people to share!
     */

/**
 * Class ElectorImport
 */
class ElectorImport
{
    /**
     * @var \TYPO3\Election\Domain\Model\Electorate
     */
    protected $chosenElectorate = null;

    /**
     * @var \TYPO3\Election\Domain\Model\Electorate[]
     */
    protected $availableElectorates = [];

    /**
     * @var array
     */
    protected $importInformation = null;

    /**
     * ElectorImport constructor.
     *
     * @param \TYPO3\Election\Domain\Model\Electorate|null $chosenElectorate
     * @param \TYPO3\Election\Domain\Model\Electorate[] $availableElectorates
     */
    public function __construct(
        \TYPO3\Election\Domain\Model\Electorate $chosenElectorate = null,
        $availableElectorates = null
    ) {
        $this->chosenElectorate = $chosenElectorate;
        $this->availableElectorates = $availableElectorates;
    }

    /**
     * @return \TYPO3\Election\Domain\Model\Electorate
     */
    public function getChosenElectorate()
    {
        return $this->chosenElectorate;
    }

    /**
     * @param \TYPO3\Election\Domain\Model\Electorate $chosenElectorate
     */
    public function setChosenElectorate($chosenElectorate)
    {
        $this->chosenElectorate = $chosenElectorate;
    }

    /**
     * @return \TYPO3\Election\Domain\Model\Electorate[]
     */
    public function getAvailableElectorates()
    {
        return $this->availableElectorates;
    }

    /**
     * @param \TYPO3\Election\Domain\Model\Electorate[] $availableElectorates
     */
    public function setAvailableElectorates($availableElectorates)
    {
        $this->availableElectorates = $availableElectorates;
    }

    /**
     * @return array
     */
    public function getImportInformation()
    {
        return $this->importInformation;
    }

    /**
     * @param array $importInformation
     */
    public function setImportInformation($importInformation)
    {
        $this->importInformation = $importInformation;
    }
}
