<?php
namespace TYPO3\Election\Domain\Model;

    /*
     * This file is part of the TYPO3 CMS project.
     *
     * It is free software; you can redistribute it and/or modify it under
     * the terms of the GNU General Public License, either version 2
     * of the License, or any later version.
     *
     * For the full copyright and license information, please read the
     * LICENSE.txt file that was distributed with this source code.
     *
     * The TYPO3 project - inspiring people to share!
     */

/**
 * Class ElectionInvitation
 */
class ElectionInvitation extends AbstractEntity
{
    /**
     * @var string
     */
    protected $secret = '';

    /**
     * @var \TYPO3\Election\Domain\Model\ElectionCircular
     */
    protected $electionCircular = null;

    /**
     * @var \TYPO3\Election\Domain\Model\Elector
     */
    protected $elector = null;

    /**
     * @var bool
     */
    protected $success = false;

    /**
     * @var bool
     */
    protected $voted = false;

    /**
     * @return string
     */
    public function getSecret()
    {
        return $this->secret;
    }

    /**
     * @param string $secret
     */
    public function setSecret($secret)
    {
        $this->secret = $secret;
    }

    /**
     * @return ElectionCircular
     */
    public function getElectionCircular()
    {
        return $this->electionCircular;
    }

    /**
     * @param ElectionCircular $electionCircular
     */
    public function setElectionCircular($electionCircular)
    {
        $this->electionCircular = $electionCircular;
    }

    /**
     * @return Elector
     */
    public function getElector()
    {
        return $this->elector;
    }

    /**
     * @param Elector $elector
     */
    public function setElector($elector)
    {
        $this->elector = $elector;
    }

    /**
     * @return boolean
     */
    public function isSuccess()
    {
        return $this->success;
    }

    /**
     * @param boolean $success
     */
    public function setSuccess($success)
    {
        $this->success = $success;
    }

    /**
     * @return boolean
     */
    public function isVoted()
    {
        return $this->voted;
    }

    /**
     * @param boolean $voted
     */
    public function setVoted($voted)
    {
        $this->voted = $voted;
    }

    /**
     * @return int
     */
    public function getElectionEndDateAsTimestamp()
    {
        return $this->getElectionCircular()->getElection()->getEndDate()->getTimestamp();
    }
}
