<?php
namespace TYPO3\Election\Domain\Model;

    /*
     * This file is part of the TYPO3 CMS project.
     *
     * It is free software; you can redistribute it and/or modify it under
     * the terms of the GNU General Public License, either version 2
     * of the License, or any later version.
     *
     * For the full copyright and license information, please read the
     * LICENSE.txt file that was distributed with this source code.
     *
     * The TYPO3 project - inspiring people to share!
     */

/**
 * Class Elector
 */
class ElectorImport extends AbstractPerson
{
    /**
     * @var \TYPO3\Election\Domain\Model\Electorate
     */
    protected $electorate = '';

    /**
     * @return null|Electorate
     */
    public function getElectorate()
    {
        if ($this->electorate instanceof Electorate) {
            return $this->electorate;
        }
        return null;
    }

    /**
     * @param Electorate|null $electorate
     */
    public function setElectorate(Electorate $electorate = null)
    {
        $this->electorate = $electorate;
    }

    /**
     * @param array $importInformation
     */
    public function setFromArray(array $importInformation)
    {
        $this->setFirstName($importInformation['firstName']);
        $this->setMiddleName($importInformation['middleName']);
        $this->setLastName($importInformation['lastName']);
        $this->setEmail($importInformation['email']);
        $this->setGender($importInformation['gender']);
    }
}
