<?php
namespace TYPO3\Election\Domain\Model;

    /*
     * This file is part of the TYPO3 CMS project.
     *
     * It is free software; you can redistribute it and/or modify it under
     * the terms of the GNU General Public License, either version 2
     * of the License, or any later version.
     *
     * For the full copyright and license information, please read the
     * LICENSE.txt file that was distributed with this source code.
     *
     * The TYPO3 project - inspiring people to share!
     */

/**
 * Class Electorate
 */
class Electorate extends AbstractEntity
{
    /**
     * @var string
     */
    protected $title = '';

    /**
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Election\Domain\Model\Elector>
     */
    protected $electors = null;

    /**
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param string $title
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage
     */
    public function getElectors()
    {
        return $this->electors;
    }

    /**
     * @return \TYPO3\Election\Domain\Model\Elector[]
     */
    public function getElectorsAsArray()
    {
        return $this->electors->toArray();
    }

    /**
     * @param \TYPO3\Election\Domain\Model\Elector[] $electors
     */
    public function setElectors($electors)
    {
        $this->electors = $electors;
    }

    /**
     * @param Elector $elector
     */
    public function removeElector(Elector $elector)
    {
        $this->electors->detach($elector);
    }
}
