<?php
namespace TYPO3\Election\Domain\Repository;

/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

use TYPO3\CMS\Extbase\Persistence\QueryInterface;
use TYPO3\CMS\Extbase\Persistence\Repository;
use TYPO3\Election\Domain\Model\Configuration;

/**
 * Class ConfigurationRepository
 */
class ConfigurationRepository extends Repository
{
    /**
     * @var array
     */
    protected $defaultOrderings = array(
        'uid' => QueryInterface::ORDER_DESCENDING,
    );

    /**
     * @return Configuration
     */
    public function findCurrent()
    {
        return $this->createQuery()->setLimit(1)->execute()->getFirst();
    }

    /**
     * @return bool
     */
    public function hasCurrent()
    {
        return $this->countAll() !== 0;
    }

    /**
     * @param Configuration $configuration
     */
    public function update($configuration)
    {
        $this->add($configuration->getUpdatedObject());
    }
}
