<?php
namespace TYPO3\Election\Domain\Repository;

/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

use TYPO3\CMS\Extbase\Persistence\Repository;
use TYPO3\Election\Domain\Model\Elector;

/**
 * Class ElectorRepository
 */
class ElectorRepository extends Repository
{
    /**
     * @var \TYPO3\Election\Domain\Repository\ElectorateRepository
     * @inject
     */
    protected $electorateRepository = null;

    /**
     * @param Elector $object
     */
    public function remove($object)
    {
        foreach ($object->getElectorates() as $electorate) {
            $electorate->removeElector($object);
            $this->electorateRepository->update($electorate);
        }
        parent::remove($object);
    }
}
