<?php
namespace TYPO3\Election\Utility;

/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

use TYPO3\CMS\Core\Utility\GeneralUtility;

/**
 * Class FileUtility
 */
class FileUtility
{
    /**
     * @param string $content
     */
    public static function pushFile($content)
    {
        header('Content-type: application/force-download');
        header('Content-Transfer-Encoding: Binary');
        header('Content-length: ' . strlen($content));
        header('Content-disposition: attachment; filename="' . sprintf('%s_Electors.csv', date('Y-m-d')) . '"');
        echo $content;
        exit;
    }

    /**
     * @param array $information
     * @param string $expectedFileType
     * @return bool
     * @throws \Exception
     */
    public static function isUploadedFileGood(array $information, $expectedFileType = 'text/csv')
    {
        if (isset($information['error'])) {
            if ($information['error'] === UPLOAD_ERR_OK) {
                if (!GeneralUtility::verifyFilenameAgainstDenyPattern($information['name'])) {
                    throw new \Exception('Uploading files with PHP file extensions is not allowed!', 1399312430);
                }
                return $information['type'] === $expectedFileType;
            }
        }
        return false;
    }

    /**
     * @param array $information
     * @return string
     */
    public static function getUploadedFileContents(array $information)
    {
        return file_get_contents($information['tmp_name']);
    }
}
