#
# Table structure for table 'tx_election_domain_model_configuration'
#
CREATE TABLE tx_election_domain_model_configuration (
  uid                    INT(11) unsigned              NOT NULL auto_increment,
  pid                    INT(11) unsigned DEFAULT '0'  NOT NULL,
  creation_date          INT(11) unsigned DEFAULT '0'  NOT NULL,
  creation_user          INT(11) unsigned DEFAULT '0'  NOT NULL,

  administration_group   INT(11) unsigned DEFAULT '0'  NOT NULL,
  election_manager_group INT(11) unsigned DEFAULT '0'  NOT NULL,
  poll_manager_group     INT(11) unsigned DEFAULT '0'  NOT NULL,
  plugin_pid             INT(11) unsigned DEFAULT '0'  NOT NULL,
  number_of_mails        INT(11) unsigned DEFAULT '10' NOT NULL,
  from_email             VARCHAR(255)     DEFAULT ''   NOT NULL,
  from_name              VARCHAR(255)     DEFAULT ''   NOT NULL,
  debug                  TINYINT(4)       DEFAULT '0'  NOT NULL,
  test_email             VARCHAR(255)     DEFAULT ''   NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_election'
#
CREATE TABLE tx_election_domain_model_election (
  uid             INT(11) unsigned             NOT NULL auto_increment,
  pid             INT(11) unsigned DEFAULT '0' NOT NULL,
  creation_date   INT(11) unsigned DEFAULT '0' NOT NULL,
  creation_user   INT(11) unsigned DEFAULT '0' NOT NULL,

  title           VARCHAR(255)     DEFAULT ''  NOT NULL,
  description     text                         NOT NULL,
  start_date      INT(11)          DEFAULT '0' NOT NULL,
  end_date        INT(11)          DEFAULT '0' NOT NULL,
  electorate      INT(11) unsigned DEFAULT '0' NOT NULL,
  nominees        INT(11) unsigned DEFAULT '0' NOT NULL,
  number_of_votes INT(11) unsigned DEFAULT '0' NOT NULL,
  election_votes  INT(11) unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_elector'
#
CREATE TABLE tx_election_domain_model_elector (
  uid                  INT(11) unsigned             NOT NULL auto_increment,
  pid                  INT(11) unsigned DEFAULT '0' NOT NULL,
  creation_date        INT(11) unsigned DEFAULT '0' NOT NULL,
  creation_user        INT(11) unsigned DEFAULT '0' NOT NULL,

  first_name           VARCHAR(255)     DEFAULT ''  NOT NULL,
  middle_name          VARCHAR(255)     DEFAULT ''  NOT NULL,
  last_name            VARCHAR(255)     DEFAULT ''  NOT NULL,
  gender               TINYINT(4)       DEFAULT '0' NOT NULL,
  email                VARCHAR(255)     DEFAULT ''  NOT NULL,
  electorates          INT(11) unsigned DEFAULT '0' NOT NULL,
  election_invitations INT(11) unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_electorimport'
#
CREATE TABLE tx_election_domain_model_electorimport (
  uid           INT(11) unsigned             NOT NULL auto_increment,
  pid           INT(11) unsigned DEFAULT '0' NOT NULL,
  creation_date INT(11) unsigned DEFAULT '0' NOT NULL,
  creation_user INT(11) unsigned DEFAULT '0' NOT NULL,

  first_name    VARCHAR(255)     DEFAULT ''  NOT NULL,
  middle_name   VARCHAR(255)     DEFAULT ''  NOT NULL,
  last_name     VARCHAR(255)     DEFAULT ''  NOT NULL,
  gender        TINYINT(4)       DEFAULT '0' NOT NULL,
  email         VARCHAR(255)     DEFAULT ''  NOT NULL,
  electorate    INT(11) unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_electorate'
#
CREATE TABLE tx_election_domain_model_electorate (
  uid           INT(11) unsigned             NOT NULL auto_increment,
  pid           INT(11) unsigned DEFAULT '0' NOT NULL,
  creation_date INT(11) unsigned DEFAULT '0' NOT NULL,
  creation_user INT(11) unsigned DEFAULT '0' NOT NULL,

  title         VARCHAR(255)     DEFAULT ''  NOT NULL,
  electors      INT(11) unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_nominee'
#
CREATE TABLE tx_election_domain_model_nominee (
  uid           INT(11)      unsigned             NOT NULL auto_increment,
  pid           INT(11)      unsigned DEFAULT '0' NOT NULL,
  creation_date INT(11)      unsigned DEFAULT '0' NOT NULL,
  creation_user INT(11)      unsigned DEFAULT '0' NOT NULL,

  first_name    VARCHAR(255)          DEFAULT ''  NOT NULL,
  middle_name   VARCHAR(255)          DEFAULT ''  NOT NULL,
  last_name     VARCHAR(255)          DEFAULT ''  NOT NULL,
  gender        TINYINT(4)   unsigned DEFAULT '0' NOT NULL,
  email         VARCHAR(255)          DEFAULT ''  NOT NULL,
  url           VARCHAR(255)          DEFAULT ''  NOT NULL,
  image         INT(11)      unsigned DEFAULT '0' NOT NULL,
  comment       text                              NOT NULL,
  public        TINYINT(4)   unsigned DEFAULT '0' NOT NULL,
  elections     INT(11)      unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_electioncircular'
#
CREATE TABLE tx_election_domain_model_electioncircular (
  uid           INT(11)      unsigned             NOT NULL auto_increment,
  pid           INT(11)      unsigned DEFAULT '0' NOT NULL,
  creation_date INT(11)      unsigned DEFAULT '0' NOT NULL,
  creation_user INT(11)      unsigned DEFAULT '0' NOT NULL,

  subject       VARCHAR(255)          DEFAULT ''  NOT NULL,
  body          text                              NOT NULL,
  election      INT(11)      unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_electioninvitation'
#
CREATE TABLE tx_election_domain_model_electioninvitation (
  uid               INT(11)      unsigned             NOT NULL auto_increment,
  pid               INT(11)      unsigned DEFAULT '0' NOT NULL,
  creation_date     INT(11)      unsigned DEFAULT '0' NOT NULL,
  creation_user     INT(11)      unsigned DEFAULT '0' NOT NULL,

  secret            VARCHAR(255)          DEFAULT ''  NOT NULL,
  election_circular INT(11)      unsigned DEFAULT '0' NOT NULL,
  elector           INT(11)      unsigned DEFAULT '0' NOT NULL,
  success           TINYINT(4)   unsigned DEFAULT '0' NOT NULL,
  voted             TINYINT(4)   unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_electionvote'
#
CREATE TABLE tx_election_domain_model_electionvote (
  uid               INT(11)      unsigned             NOT NULL auto_increment,
  pid               INT(11)      unsigned DEFAULT '0' NOT NULL,
  creation_date     INT(11)      unsigned DEFAULT '0' NOT NULL,
  creation_user     INT(11)      unsigned DEFAULT '0' NOT NULL,

  elector           INT(11)      unsigned DEFAULT '0' NOT NULL,
  election          INT(11)      unsigned DEFAULT '0' NOT NULL,
  nominee           INT(11)      unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'tx_election_domain_model_electorate_elector_mm'
#
CREATE TABLE tx_election_domain_model_electorate_elector_mm (
  uid_local       INT(11) unsigned DEFAULT '0' NOT NULL,
  uid_foreign     INT(11) unsigned DEFAULT '0' NOT NULL,
  sorting         INT(11) unsigned DEFAULT '0' NOT NULL,
  sorting_foreign INT(11) unsigned DEFAULT '0' NOT NULL,
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);

#
# Table structure for table 'tx_election_domain_model_election_nominee_mm'
#
CREATE TABLE tx_election_domain_model_election_nominee_mm (
  uid_local       INT(11) unsigned DEFAULT '0' NOT NULL,
  uid_foreign     INT(11) unsigned DEFAULT '0' NOT NULL,
  sorting         INT(11) unsigned DEFAULT '0' NOT NULL,
  sorting_foreign INT(11) unsigned DEFAULT '0' NOT NULL,
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);
